Package org.apache.lucene.index

## Interface IndexReader.ClosedListener

- Enclosing class:
    IndexReader
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public static interface IndexReader.ClosedListener

  A listener that is called when a resource gets closed.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onClose​(IndexReader.CacheKey key)` | Invoked when the resource (segment core, or index reader) that is being cached on is closed.

- - ### Method Detail

    - #### onClose

          void onClose​(IndexReader.CacheKey key)
                throws IOException

      Invoked when the resource (segment core, or index reader) that is being cached on is closed.
      Throws:
        `IOException`